// gnome.xonotic.in.ua

models/powerups/ammo/machammo
{
	{
		map textures/effects/tinfx2d.tga
		tcgen environment
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map models/powerups/ammo/machammo.tga
		blendfunc blend
		rgbgen lightingdiffuse
	}
}

models/powerups/ammo/machammo2
{
	{
		map models/powerups/ammo/machammo2.tga
		rgbgen identity
	}
}

textures/12am/12am_skybox
{
	qer_editorimage textures/12am/12am_skybox.jpeg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightsubdivide 256
	q3map_surfacelight 25
	q3map_sun 0.851 0.945 1 100 320 40
	skyparms env/12am/12am 128 env/12am/12am
}

textures/1upzombie/1up
{
	qer_editorimage textures/1upzombie/1up.tga
	{
		map textures/1upzombie/1up.tga
	}
	{
		map textures/1upzombie/1upneon.tga
		blendfunc add
		rgbgen wave sin 0 1 0 0.3
	}
	{
		map textures/1upzombie/1uptext.tga
		blendfunc add
		rgbgen wave sin 0 1 0 0.1
		tcmod stretch sin 1 0.2 1 0.2
		tcmod scroll 0 0.5
	}
}

textures/1upzombie/control_point
{
	qer_editorimage textures/1upzombie/cp_ring.tga
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/1upzombie/cp_ring.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate -20
		depthwrite
	}
	{
		map textures/1upzombie/cp_energy.tga
		blendfunc gl_one gl_dst_color
		rgbgen wave sin 0.5 0.3 0.8 1
		tcmod rotate 24
		tcmod stretch sin 1 0.1 0 1
	}
	{
		map textures/1upzombie/cp_energy.tga
		blendfunc add
		rgbgen vertex
		tcmod rotate -50
	}
	{
		map textures/1upzombie/cp_text.tga
		blendfunc filter
		rgbgen identity
		tcmod rotate -16
		depthwrite
	}
}

textures/1upzombie/fence
{
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/1upzombie/fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/1upzombie/helipad
{
	qer_editorimage textures/1upzombie/helipad.tga
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/1upzombie/helipad.tga
		blendfunc add
		rgbgen identity
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/1upzombie/ladda
{
	qer_editorimage textures/1upzombie/ladda.tga
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm ladder
	qer_trans 0.4
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/mirror1
{
	qer_editorimage textures/common/qer_mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthwrite
	}
}

textures/common/missileclip
{
	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/urban_terror2/metal
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/urban_terror2/metal.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ut_subway/det_rope
{
	qer_editorimage textures/ut_subway/det_rope.tga
	surfaceparm nonsolid
	deformvertexes move 2 1 0 sin 0 3 0 0.2
	tesssize 64
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_subway/det_rope.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/ut_subway/sign_phone
{
	q3map surfacelight 15
	{
		map textures/ut_subway/sign_phone.jpg
	}
}

